<template>
  <div>
    <v-app-bar class="justify-end">
      <div>
        <metrocheck-datetime-displayed-picker
          :text-field-props="{solo: true, hideDetails: true}"
          :show-time="false"
        />
      </div>
    </v-app-bar>

    <div class="px-3">
      <metrocheck-stats-line
        v-if="Object.hasOwnProperty.call($route.params, 'lineId')"
        :number="$route.params.lineId"
      />

      <metrocheck-stats-general v-else />
    </div>
  </div>
</template>

<script>
  import MetrocheckStatsLine from '../Line'
  import MetrocheckDatetimeDisplayedPicker from '../../../components/DatetimeDisplayedPicker'
  import MetrocheckStatsGeneral from '../General'

  export default {
    name: 'Stats',
    components: { MetrocheckStatsGeneral, MetrocheckDatetimeDisplayedPicker, MetrocheckStatsLine },

  }
</script>

<style>
.line__map {
  width: calc(100% + 2 * 34px);
  height: 13em;
  background-color: rgb(68, 68, 68);
  margin: 1.5em -34px 0 -34px;
}
</style>
